/*
                 Editor Find In Pages Dialog: Callbacks
 */

#ifndef EDITOR_FIND_IN_PAGES_CB_H
#define EDITOR_FIND_IN_PAGES_CB_H

#include <gtk/gtk.h>
#include "editor_find_in_pages.h"


extern void EditorFIPItemDestroyCB(gpointer data);

extern gint EditorFIPDeleteEventCB(GtkWidget *widget, GdkEvent *event, gpointer data);
extern void EditorFIPCloseMCB(GtkWidget *widget, gpointer data);

extern void EditorFIPFindCB(GtkWidget *widget, gpointer data);
extern void EditorFIPFindActivateCB(GtkWidget *widget, gpointer data);
extern void EditorFIPClearCB(GtkWidget *widget, gpointer data);
extern void EditorFIPStopCB(GtkWidget *widget, gpointer data);
extern void EditorFIPGotoCB(GtkWidget *widget, gpointer data);

extern gint EditorFIPMenuMapCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);

extern void EditorFIPResultsListSelectCB(
        GtkCList *clist, gint row, gint column,
        GdkEventButton *event, gpointer data
);
extern void EditorFIPResultsListUnselectCB(
        GtkCList *clist, gint row, gint column,
        GdkEventButton *event, gpointer data
);
void EditorFIPResultsListColumnClickCB(
        GtkCList *clist, gint column, gpointer data
);


#endif	/* EDITOR_FIND_IN_PAGES_CB_H */
